Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_Policy Class Reference

`#include <PolicyC.h>`

Inheritance diagram for CORBA_Policy

[legend]
Collaboration diagram for CORBA_Policy:

[legend]
List of all members.

## Public Types
typedef CORBA_Policy_ptr | _ptr_type
typedef CORBA_Policy_var | _var_type
## Static Public Methods
CORBA_Policy_ptr | _duplicate (CORBA_Policy_ptr obj)
CORBA_Policy_ptr | _narrow ( CORBA::Object_ptr obj, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
CORBA_Policy_ptr | _unchecked_narrow ( CORBA::Object_ptr obj, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
CORBA_Policy_ptr | _nil (void)
| Return a NULL object.
void | _tao_any_destructor (void*)
| Used in the implementation of CORBA::Any.
## Static Public Attributes
int | _tao_class_id = 0
| Address of this variable used in <_unchecked_narrow>.

## Member Typedef Documentation

typedef CORBA_Policy_ptr CORBA_Policy::_ptr_type

| Reimplemented from CORBA_Object. Reimplemented in CORBA_ConstructionPolicy.

typedef CORBA_Policy_var CORBA_Policy::_var_type

| Reimplemented from CORBA_Object. Reimplemented in CORBA_ConstructionPolicy.

## Member Function Documentation

CORBA::Policy_ptr CORBA_Policy::_duplicate ( | CORBA_Policy_ptr obj )`[static]`

CORBA::Policy_ptr CORBA_Policy::_narrow ( | CORBA::Object_ptr obj,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[static]`

| Reimplemented in CORBA_ConstructionPolicy.

CORBA_Policy_ptr CORBA_Policy::_nil ( | void )`[inline, static]`

| Return a NULL object. Reimplemented from CORBA_Object. Reimplemented in CORBA_ConstructionPolicy.

void CORBA_Policy::_tao_any_destructor ( | void * x )`[static]`

| Used in the implementation of CORBA::Any. Reimplemented from CORBA_Object. Reimplemented in CORBA_ConstructionPolicy.

CORBA::Policy_ptr CORBA_Policy::_unchecked_narrow ( | CORBA::Object_ptr obj,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[static]`

| Reimplemented in CORBA_ConstructionPolicy.

## Member Data Documentation

int CORBA_Policy::_tao_class_id = 0`[static]`

| Address of this variable used in <_unchecked_narrow>. Reimplemented from CORBA_Object. Reimplemented in CORBA_ConstructionPolicy.

The documentation for this class was generated from the following files:

- PolicyC.h
- PolicyC.cpp